| taxgetdown

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get descendants of taxon(s)

## Description

taxgetdown reads in one or more taxons, finds all taxons below in tyhe hierarchy, and writes them out. The taxon input may be a literal sequence or read from a database, file, file of taxon names, or even the command-line or the output of another programs. The taxon output can be written to screen, to file, or passed to another program. A wide range of standard taxon formats may be specified for input and output.

## Algorithm

The NCBI taxonomy records the parent of each taxon, up to a known top level 1.

## Usage

Here is a sample session with taxgetdown

    % taxgetdown ttax:9605 -oformat excel
    Get descendants of taxon(s)
    Taxon output file [9605.excel]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get descendants of taxon(s)
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-taxons]            taxon      Taxon filename and optional format, or
                                      reference (input query)
      [-outfile]           outtaxon   (no help text) outtaxon value

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-taxons" associated qualifiers
       -iformat1           string     Input taxonomy format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Taxonomy output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-taxons] (Parameter 1) | taxon | Taxon filename and optional format, or reference (input query) | NCBI taxonomy entries |
[-outfile] (Parameter 2) | outtaxon | (no help text) outtaxon value | NCBI taxonomy entries |
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-taxons" associated taxon qualifiers
-iformat1 -iformat_taxons | string | Input taxonomy format | Any string |
-iquery1 -iquery_taxons | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_taxons | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_taxons | string | User-provided database name | Any string |
"-outfile" associated outtaxon qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Taxonomy output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

The input is a standard EMBOSS taxonomy query.

The expected source of taxonomy information is the NCBI Taxonomy database "taxon" which is available as a standard database in all EMBOSS installations.

Data can also be read from taxonomy output in "ncbi" format written by an EMBOSS application.

See: http://emboss.sf.net/docs/themes/TaxonFormats.html for further information on taxon formats.

### Input files for usage example

'ttax:9605' is a sequence entry in the example taxonomy database 'ttax'

### Database entry: ttax:9605

    id: 9605
    parent: 207598
    rank: genus
    emblprefix:
    division: 5
    divflag: 1
    gencode: 1
    gcflag: 1
    mitocode: 2
    mgcflag 1
    hidden: 1
    nosequence: 1
    scientific name: Homo
    authority: Homo Linnaeus, 1758

## Output file format

The output is a standard EMBOSS taxon file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: ncbi, ebi, tax, excel.

See: http://emboss.sf.net/docs/themes/TaxonFormats.html for further information on taxon formats.

### Output files for usage example

### File: 9605.excel

    9606	9605	species	Y	Homo sapiens
    741158	9605	species	Y	Homo sp. Altai

## Data files

The NCBI Taxonomy Ontology is included in EMBOSS as local database taxon.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
taxget | Get taxon(s)
taxgetrank | Get parents of taxon(s)
taxgetspecies | Get all species under taxon(s)
taxgetup | Get parents of taxon(s)

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None